/**
 * BridgeMethods Class provides a framework for all HarperBridge method classes
 */
export declare class BridgeMethods {
    /** @param {...any} _args */
    createSchema(..._args: any[]): any;
    /** @param {...any} _args */
    dropSchema(..._args: any[]): any;
    /** @param {...any} _args */
    createTable(..._args: any[]): any;
    /** @param {...any} _args */
    dropTable(..._args: any[]): any;
    /** @param {...any} _args */
    createRecords(..._args: any[]): any;
    /** @param {...any} _args */
    updateRecords(..._args: any[]): any;
    /** @param {...any} _args */
    upsertRecords(..._args: any[]): Promise<any>;
    /** @param {...any} _args */
    deleteRecords(..._args: any[]): any;
    /** @param {...any} _args */
    createAttribute(..._args: any[]): any;
    /** @param {...any} _args */
    dropAttribute(..._args: any[]): any;
    /** @param {...any} _args */
    searchByConditions(..._args: any[]): any;
    /** @param {...any} _args */
    searchByHash(..._args: any[]): any;
    /** @param {...any} _args */
    searchByValue(..._args: any[]): any;
    /** @param {...any} _args */
    getDataByHash(..._args: any[]): any;
    /** @param {...any} _args */
    getDataByValue(..._args: any[]): Promise<any>;
    /** @param {...any} _args */
    deleteRecordsBefore(..._args: any[]): Promise<any>;
    /** @param {...any} _args */
    deleteAuditLogsBefore(..._args: any[]): Promise<any>;
    /** @param {...any} _args */
    deleteTransactionLogsBefore(..._args: any[]): Promise<any>;
    /** @param {...any} _args */
    readAuditLog(..._args: any[]): Promise<any>;
}
